static void pyqt_qsize_free( void* ptr )
{
    delete (QSize*)ptr;
}

static QSize* pyqt_qsize_toCpp( PyObject* obj )
{
    return (QSize*)getPointer( obj, Size );
}

static PyObject* pyqt_qsize_toPython( const QSize& ptr )
{
    return qobjectToPython( new QSize( ptr ), Size );
}

static PyObject* pyqt_qsize_height( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    if ( PyTuple_Size( arg_tuple ) == 0 )
    {
        return Py_BuildValue("i", ((QSize*)ptr)->height() );
    }
    return NULL;
}

static PyObject* pyqt_qsize_setWidth( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    int _0param;
    if ( PyArg_ParseTuple( arg_tuple, "i", &_0param )  )
    {
        ((QSize*)ptr)->setWidth(_0param);
        Py_INCREF( Py_None );
        return Py_None;
    }
    return NULL;
}

static PyObject* pyqt_qsize_width( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    if ( PyTuple_Size( arg_tuple ) == 0 )
    {
        return Py_BuildValue("i", ((QSize*)ptr)->width() );
    }
    return NULL;
}

static PyObject* pyqt_qsize_isValid( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    if ( PyTuple_Size( arg_tuple ) == 0 )
    {
        return Py_BuildValue("b", (char)((QSize*)ptr)->isValid() );
    }
    return NULL;
}

static PyObject* pyqt_qsize_boundedTo( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    PyObject* _0param = 0;
    if ( PyArg_ParseTuple( arg_tuple, "O", &_0param )  && inherits( _0param, Size ) )
    {
        return pyqt_qsize_toPython( ((QSize*)ptr)->boundedTo(*pyqt_qsize_toCpp( _0param )) );
    }
    return NULL;
}

static PyObject* pyqt_qsize_transpose( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    if ( PyTuple_Size( arg_tuple ) == 0 )
    {
        ((QSize*)ptr)->transpose();
        Py_INCREF( Py_None );
        return Py_None;
    }
    return NULL;
}

static PyObject* pyqt_qsize_isEmpty( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    if ( PyTuple_Size( arg_tuple ) == 0 )
    {
        return Py_BuildValue("b", (char)((QSize*)ptr)->isEmpty() );
    }
    return NULL;
}

static PyObject* pyqt_qsize_constructor( void* /* ptr */, PyObject* obj, PyObject* arg_tuple )
{
    if ( !obj )
        return NULL;
    if ( PyTuple_Size( arg_tuple ) == 0 )
    {
        void* ptr = new QSize;
        mapObject( obj, ptr, pyqt_qsize_class, Python );
        Py_INCREF( Py_None );
        return Py_None;
    }
    PyObject* _0param = 0;
    if ( PyArg_ParseTuple( arg_tuple, "O", &_0param )  && inherits( _0param, Size ) )
    {
	PyErr_Clear();	
        void* ptr = new QSize( *pyqt_qsize_toCpp( _0param ) );
        mapObject( obj, ptr, pyqt_qsize_class, Python );
        Py_INCREF( Py_None );
        return Py_None;
    }
    int _1param;
    int _2param;
    if ( PyArg_ParseTuple( arg_tuple, "ii", &_1param, &_2param )  )
    {
	PyErr_Clear();	
        void* ptr = new QSize( _1param, _2param );
        mapObject( obj, ptr, pyqt_qsize_class, Python );
        Py_INCREF( Py_None );
        return Py_None;
    }
    return NULL;
}

static PyObject* pyqt_qsize_expandedTo( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    PyObject* _0param = 0;
    if ( PyArg_ParseTuple( arg_tuple, "O", &_0param )  && inherits( _0param, Size ) )
    {
        return pyqt_qsize_toPython( ((QSize*)ptr)->expandedTo(*pyqt_qsize_toCpp( _0param )) );
    }
    return NULL;
}

static PyObject* pyqt_qsize_isNull( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    if ( PyTuple_Size( arg_tuple ) == 0 )
    {
        return Py_BuildValue("b", (char)((QSize*)ptr)->isNull() );
    }
    return NULL;
}

static PyObject* pyqt_qsize_setHeight( void* ptr, PyObject* /* obj */, PyObject* arg_tuple )
{
    if ( !ptr )
        return NULL;
    int _0param;
    if ( PyArg_ParseTuple( arg_tuple, "i", &_0param )  )
    {
        ((QSize*)ptr)->setHeight(_0param);
        Py_INCREF( Py_None );
        return Py_None;
    }
    return NULL;
}

static PyQt_Method pyqt_qsize_methods[] = {
    pyqt_qsize_height,
    pyqt_qsize_setWidth,
    pyqt_qsize_width,
    pyqt_qsize_isValid,
    pyqt_qsize_boundedTo,
    pyqt_qsize_transpose,
    pyqt_qsize_isEmpty,
    pyqt_qsize_constructor,
    pyqt_qsize_expandedTo,
    pyqt_qsize_isNull,
    pyqt_qsize_setHeight,
    0
};

static void pyqt_qsize_init()
{
    if ( pyqt_qsize_class )
        return;

    pyqt_qsize_class = new PyQt_ClassInfo;
    pyqt_qsize_class->freeQt = pyqt_qsize_free;
    pyqt_qsize_class->methods = pyqt_qsize_methods;
    pyqt_qsize_class->methodCount = methodCount( pyqt_qsize_methods );
    pyqt_qsize_class->next = 0;
    pyqt_qsize_class->classid = Size;
    pyqt_qsize_class->classObject = PyDict_GetItemString( pyqt_qt_dict, "QSize" );
    pyqt_qsize_class->className = "QSize";
    ASSERT( pyqt_qsize_class->classObject );
}

